Package: java.time

## Class OffsetTime

- - ### Methods Summary

    Methods
    Return type | Name and parameters
    --- | ---
    `String` | `format(String pattern)` Formats this time with the provided DateTimeFormatter pattern.
    `String` | `format(FormatStyle timeStyle)` Formats this time in the provided, localized FormatStyle.
    `String` | `getTimeString()` Formats this time with the DateTimeFormatter#ISO_OFFSET_TIME formatter.
    `OffsetDateTime` | `leftShift(LocalDate date)` Returns an OffsetDateTime of this time and the provided LocalDate.
    `OffsetTime` | `minus(long seconds)` Returns an OffsetTime that is `seconds` seconds before this time.
    `OffsetTime` | `next()` Returns an OffsetTime that is one second after this time.
    `static OffsetTime` | `parse(CharSequence text, String pattern)` Parse text into an OffsetTime using the provided pattern.
    `OffsetTime` | `plus(long seconds)` Returns an OffsetTime that is `seconds` seconds after this time.
    `OffsetTime` | `previous()` Returns an OffsetTime that is one second before this time.
    `Calendar` | `toCalendar()` Returns a generally equivalent instance of Calendar.
    `Date` | `toDate()` Returns a generally equivalent instance of Date.

  - #### Methods inherited from class java.lang.Object

    `addShutdownHook`, `any`, `any`, `asBoolean`, `asType`, `collect`, `collect`, `collect`, `dump`, `each`, `eachMatch`, `eachMatch`, `eachWithIndex`, `every`, `every`, `find`, `find`, `findAll`, `findAll`, `findIndexOf`, `findIndexOf`, `findIndexValues`, `findIndexValues`, `findLastIndexOf`, `findLastIndexOf`, `findResult`, `findResult`, `findResult`, `findResult`, `getAt`, `getMetaClass`, `getMetaPropertyValues`, `getProperties`, `grep`, `grep`, `hasProperty`, `identity`, `inject`, `inject`, `inspect`, `invokeMethod`, `is`, `isCase`, `isNotCase`, `iterator`, `metaClass`, `print`, `print`, `printf`, `printf`, `println`, `println`, `println`, `putAt`, `respondsTo`, `respondsTo`, `setMetaClass`, `split`, `sprintf`, `sprintf`, `stream`, `tap`, `toString`, `use`, `use`, `use`, `with`, `with`, `withCloseable`, `withMethodClosure`, `withStream`, `withTraits`

  - #### Methods inherited from interface java.time.temporal.Temporal

    `downto`, `downto`, `rightShift`, `upto`, `upto`

  - #### Methods inherited from interface java.lang.Comparable

    `numberAwareCompareTo`

  - #### Methods inherited from interface java.time.temporal.TemporalAccessor

    `getAt`, `getAt`

- - ### Methods Detail

    - #### public String format(String pattern)

      Formats this time with the provided DateTimeFormatter pattern.

      Parameters:
        `pattern` - the formatting pattern
      Returns:
        a formatted String
      Since:
        2.5.0
      See Also:
        DateTimeFormatter

    - #### public String format(FormatStyle timeStyle)

      Formats this time in the provided, localized FormatStyle.

      Parameters:
        `timeStyle` - the FormatStyle
      Returns:
        a formatted String
      Since:
        2.5.0
      See Also:
        DateTimeFormatter

    - #### public String getTimeString()

      Formats this time with the DateTimeFormatter#ISO_OFFSET_TIME formatter.

      Returns:
        a formatted String
      Since:
        2.5.0
      See Also:
        DateTimeFormatter

    - #### public OffsetDateTime leftShift(LocalDate date)

      Returns an OffsetDateTime of this time and the provided LocalDate.

      Parameters:
        `date` - a LocalDate
      Returns:
        an OffsetDateTime
      Since:
        2.5.0

    - #### public OffsetTime minus(long seconds)

      Returns an OffsetTime that is `seconds` seconds before this time.

      Parameters:
        `seconds` - the number of seconds to subtract
      Returns:
        an OffsetTime
      Since:
        2.5.0

    - #### public OffsetTime next()

      Returns an OffsetTime that is one second after this time.

      Returns:
        an OffsetTime
      Since:
        2.5.0

    - #### public static OffsetTime parse(CharSequence text, String pattern)

      Parse text into an OffsetTime using the provided pattern.

      Parameters:
        `text` - String to be parsed to create the date instance
        `pattern` - pattern used to parse the text
      Returns:
        an OffsetTime representing the parsed text
      Since:
        2.5.0
      See Also:
        DateTimeFormatter
        OffsetTime#parse(java.lang.CharSequence, java.time.format.DateTimeFormatter)

    - #### public OffsetTime plus(long seconds)

      Returns an OffsetTime that is `seconds` seconds after this time.

      Parameters:
        `seconds` - the number of seconds to add
      Returns:
        an OffsetTime
      Since:
        2.5.0

    - #### public OffsetTime previous()

      Returns an OffsetTime that is one second before this time.

      Returns:
        an OffsetTime
      Since:
        2.5.0

    - #### public Calendar toCalendar()

      Returns a generally equivalent instance of Calendar. The date value of the returned calendar is now, the time value is truncated to milliseconds, and the time zone is based on the offset of this time.

      Returns:
        a java.util.Calendar
      Since:
        2.5.0

    - #### public Date toDate()

      Returns a generally equivalent instance of Date. The time value of the returned date is truncated to milliseconds and will be adjusted to the current system default time zone.

      Returns:
        a java.util.Date
      Since:
        2.5.0